OpenJPH: /build/openjph/src/OpenJPH/tests/test_helpers/convert_mse_pae_to_tests.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
convert_mse_pae_to_tests.cpp File Reference
`#include <iostream>`
`#include <fstream>`
`#include <iomanip>`

Go to the source code of this file.

## Functions
void | eat_white_spaces (std::ifstream &file)
void | remove_double_spaces (std::string &str)
void | remove_back_slashes (std::string &str)
void | insert_quotes (std::string &str)
std::string | prepare_test_name (std::string name)
void | process_cmdlines (std::ifstream &file, const std::string base_filename, std::string &src_filename, std::string &comment, std::string &yuv_specs, std::string &extra_cmd_options)
void | write_expand_test (std::ofstream &file, const std::string &base_filename, const std::string &src_ext, const std::string &out_ext, const std::string &ref_filename, const std::string &yuv_specs, std::string comment, int num_components, double *mse, int *pae)
void | write_compress_test (std::ofstream &file, const std::string &src_filename, const std::string &ref_filename, const std::string &base_filename, const std::string &out_ext, const std::string &decode_ext, const std::string &yuv_specs, std::string comment, std::string extra_cmd_options, int num_components, double *mse, int *pae)
void | write_file_compare (std::ofstream &file, const std::string &ref_filename, const std::string &base_filename, const std::string &out_ext, std::string comment, std::string extra_cmd_options)
int | main (int argc, char *argv[])

## Function Documentation

## ◆ eat_white_spaces()

void eat_white_spaces | ( | std::ifstream & | file | ) |

Definition at line 49 of file convert_mse_pae_to_tests.cpp.

Referenced by main().

## ◆ insert_quotes()

void insert_quotes | ( | std::string & | str | ) |

Definition at line 101 of file convert_mse_pae_to_tests.cpp.

Referenced by process_cmdlines().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 474 of file convert_mse_pae_to_tests.cpp.

References eat_white_spaces(), process_cmdlines(), write_compress_test(), and write_expand_test().

## ◆ prepare_test_name()

std::string prepare_test_name | ( | std::string | name | ) |

Definition at line 121 of file convert_mse_pae_to_tests.cpp.

Referenced by write_compress_test(), write_expand_test(), and write_file_compare().

## ◆ process_cmdlines()

void process_cmdlines | ( | std::ifstream & | file,
|  | const std::string | base_filename,
|  | std::string & | src_filename,
|  | std::string & | comment,
|  | std::string & | yuv_specs,
|  | std::string & | extra_cmd_options )

Definition at line 138 of file convert_mse_pae_to_tests.cpp.

References insert_quotes(), remove_back_slashes(), and remove_double_spaces().

Referenced by main().

## ◆ remove_back_slashes()

void remove_back_slashes | ( | std::string & | str | ) |

Definition at line 82 of file convert_mse_pae_to_tests.cpp.

Referenced by process_cmdlines().

## ◆ remove_double_spaces()

void remove_double_spaces | ( | std::string & | str | ) |

Definition at line 70 of file convert_mse_pae_to_tests.cpp.

Referenced by process_cmdlines().

## ◆ write_compress_test()

void write_compress_test | ( | std::ofstream & | file,
|  | const std::string & | src_filename,
|  | const std::string & | ref_filename,
|  | const std::string & | base_filename,
|  | const std::string & | out_ext,
|  | const std::string & | decode_ext,
|  | const std::string & | yuv_specs,
|  | std::string | comment,
|  | std::string | extra_cmd_options,
|  | int | num_components,
|  | double * | mse,
|  | int * | pae )

Definition at line 281 of file convert_mse_pae_to_tests.cpp.

References prepare_test_name().

Referenced by main().

## ◆ write_expand_test()

void write_expand_test | ( | std::ofstream & | file,
|  | const std::string & | base_filename,
|  | const std::string & | src_ext,
|  | const std::string & | out_ext,
|  | const std::string & | ref_filename,
|  | const std::string & | yuv_specs,
|  | std::string | comment,
|  | int | num_components,
|  | double * | mse,
|  | int * | pae )

Definition at line 216 of file convert_mse_pae_to_tests.cpp.

References prepare_test_name().

Referenced by main().

## ◆ write_file_compare()

void write_file_compare | ( | std::ofstream & | file,
|  | const std::string & | ref_filename,
|  | const std::string & | base_filename,
|  | const std::string & | out_ext,
|  | std::string | comment,
|  | std::string | extra_cmd_options )

Definition at line 389 of file convert_mse_pae_to_tests.cpp.

References prepare_test_name().